module resultados

! objetivo: mostrar listagem e gráfico dos resultados

use variaveis

implicit none

contains

!-------------------------------------------------------------------------------

  subroutine visualizacao

    call richardson_depend_2 
    
    !call richardson_independ1 
    
    ! call richardson_independ2

  end subroutine visualizacao

!-------------------------------------------------------------------------------
!Escreve resultados no formato Richardson
!-------------------------------------------------------------------------------

  subroutine richardson_depend_2 
  
    open(out_depend,file=trim(adjustl(titulo))//'_itp_6N'//'.Richardson_3p0')
    write(out_depend,12) h , PP6, XX0(1), XX0(2),z(25),x3,y3, cpu1
    12 format(  2x, 1pe40.32, 2x, 'h           (adim.)',/, &
             ' 1 ', 1pe40.32, 2x, 'Variável dependende - valor interpolado (Int. Pol. Pp=6, 2D)',/, &
             ' 2 ', 1pe40.32, 2x, 'X do valor interpolado (Int. Pol. Pp=6, 2D)',/, &
             ' 3 ', 1pe40.32, 2x, 'Y do valor interpolado (Int. Pol. Pp=6, 2D)',/, &
             ' 4 ', 1pe40.32, 2x, 'Variável dependende - valor extremo discreto - (malha)',/, &
             ' 5 ', 1pe40.32, 2x, 'Variável independende - X do valor extremo discreto - (malha)',/, &
             ' 6 ', 1pe40.32, 2x, 'Variável independende - Y do valor extremo discreto - (malha)',/, &
             ' Tempo de processamento (s) =', 1pe40.32, 2x)
    
    close(out_depend)

    note_caso = 'notepad '// trim(adjustl(titulo))//'_itp_6N'//'.Richardson_3p0'
    dos = system(note_caso) ! lista arquivo das variáveis de interesse
    
   
       
   end subroutine richardson_depend_2 
   
   
   !---------------------------------------------------------------------------------------------------
   
   subroutine richardson_independ1 
  
      open(out_independ1,file=trim(adjustl(titulo))//'_independ1_2'//'.Richardson_3p0')
      write(out_independ1,13) h , XX0(1)

      13 format(  2x, 1pe40.32, 2x, 'h           (adim.)',/, &
                 ' 1 ', 1pe40.32, 2x, 'Variável independende - X - valor interpolado (Int. Pol. Pp=4 2D)')
      close(out_independ1)
      note_caso = 'notepad '// trim(adjustl(titulo))//'_independ1_2'//'.Richardson_3p0'
      dos = system(note_caso) ! lista arquivo das variáveis de interesse
    
   end subroutine richardson_independ1 
   
   !---------------------------------------------------------------------------------------------------
   
   subroutine richardson_independ2 
  
      open(out_independ2,file=trim(adjustl(titulo))//'_independ2_2'//'.Richardson_3p0')
      write(out_independ2,14) h , XX0(2)

      14 format(  2x, 1pe40.32, 2x, 'h           (adim.)',/, &
                 ' 1 ', 1pe40.32, 2x, 'Variável independende - Y - valor interpolado (Int. Pol. Pp=4 2D)')
      close(out_independ2)
      note_caso = 'notepad '// trim(adjustl(titulo))//'_independ2_2'//'.Richardson_3p0'
      dos = system(note_caso) ! lista arquivo das variáveis de interesse
    
   end subroutine richardson_independ2 

end module resultados